Subject: Re: bug#44338: 27.1; EWW can't download and view pdf

From: Nicholas Harrison <[email-masked]>
Date: Sat, 31 Oct 2020 11:14:34 -0600

This is what I get after following those steps:

These errors still show in the Messages:
error in process filter: mailcap-view-mime: Symbol’s function definition is
void: nil
error in process filter: Symbol’s function definition is void: nil

Nicholas

On Sat, Oct 31, 2020 at 10:35 AM Jean Louis <[email-masked]> wrote:

> * Basil L. Contovounesios <[email-masked]> [2020-10-31 16:45]:
> > Nicholas Harrison <[email-masked]> writes:
> >
> > > Using the EWW browser, I can navigate around to webpages, but
> navigating
> > > to a pdf fails. It appears to download an unreadable pdf. Downloading
> > > and viewing the pdf manually in emacs (pdf-view-mode) works fine.
> > >
> > > I've tried these solutions to no avail:
> > > - Adding "application/pdf; emacsclient %s" to a ~/.mailcap file. This
> > >   makes the process hang indefinitely.
> > > - Running the following elisp code:
> > >   `(add-to-list 'mailcap-user-mime-data
> > >                  '((type . "application/pdf")
> > >                    (viewer . pdf-view-mode)))`
> > >   This doesn't seem to have an effect.
> >
> > Seems to have been fixed on master:
> >
> > 1. emacs -Q
> > 2. M-x eww RET https://www.gnu.org/software/emacs/manual/emacs.html RET
> > 3. C-s extra pdf RET RET
>
> When external editor is used, buffer for eww pdf remains there in
> background *eww pdf* and neither l or q key bindings work, it would be
> expected to go back to the previous page from that buffer.
>
>
> --
> Thanks,
> Jean Louis
> ⎔ λ 🄯 𝍄 𝌡 𝌚
>